Hermos API

Open Checkout

POST/checkout_instances

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/checkout_instances" \  -H "Content-Type: application/json" \  -d '{    "product": "string"  }'
{  "data": {    "id": "string",    "order_id": "string",    "status": "open",    "view": "form",    "receipt_ref": "string",    "has_subject": true,    "return_link": {      "url": "http://example.com",      "product_name": "string"    },    "offer": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "reminder_mode": "ask",      "seller": {        "name": "string",        "initials": "string",        "logo_url": "http://example.com",        "icon_url": "http://example.com",        "terms_url": "http://example.com",        "privacy_url": "http://example.com",        "require_terms_tick_box": true,        "buyer_name": "required"      },      "items": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "role": "main",          "product": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "reference": "string",            "name": "string",            "description": "string"          },          "price_options": [            {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "label": "string",              "is_default": true,              "plan": {                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",                "name": "string",                "reference": "string"              },              "price": {                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",                "terms": {                  "type": "one_time",                  "unit_amount": 0,                  "unit_amount_decimal": 0,                  "custom_unit_amount": {                    "minimum": 0,                    "maximum": 0,                    "preset": 0                  },                  "currency": "string",                  "interval": "day",                  "interval_count": 1,                  "usage_type": "licensed",                  "billing_scheme": "per_unit",                  "tiers": [                    {                      "up_to": 0,                      "unit_amount": 0,                      "unit_amount_decimal": 0,                      "flat_amount": 0,                      "flat_amount_decimal": 0                    }                  ],                  "tiers_mode": "graduated",                  "transform_quantity": {                    "divide_by": 2,                    "round": "up"                  },                  "meter": "string",                  "tax_behavior": "inclusive",                  "currency_options": {                    "property1": {                      "unit_amount": 0,                      "unit_amount_decimal": 0,                      "custom_unit_amount": {                        "minimum": 0,                        "maximum": 0,                        "preset": 0                      },                      "tax_behavior": "inclusive",                      "tiers": [                        {                          "up_to": 0,                          "unit_amount": 0,                          "unit_amount_decimal": 0,                          "flat_amount": 0,                          "flat_amount_decimal": 0                        }                      ]                    },                    "property2": {                      "unit_amount": 0,                      "unit_amount_decimal": 0,                      "custom_unit_amount": {                        "minimum": 0,                        "maximum": 0,                        "preset": 0                      },                      "tax_behavior": "inclusive",                      "tiers": [                        {                          "up_to": 0,                          "unit_amount": 0,                          "unit_amount_decimal": 0,                          "flat_amount": 0,                          "flat_amount_decimal": 0                        }                      ]                    }                  },                  "hermos": {                    "component": "string",                    "component_kind": "flat",                    "installments_total": 2,                    "pwyw_minimum_amount": 0,                    "usage_percent_of_reported": 0,                    "usage_free_threshold": 0,                    "billing_anchor_day": 1,                    "billing_anchor_month": 1,                    "first_period_mode": "part_month_now",                    "access_term": "string",                    "trial_usage_pricing": "free",                    "trial_usage_discount_percent": 0                  },                  "unsupported": {                    "property1": null,                    "property2": null                  }                }              }            }          ]        }      ]    },    "look": {      "brand_color": "string",      "corners": "square",      "font": "clean",      "layout": "order_beside_payment",      "one_time_button_word": "pay",      "powered_by_checkout": true    }  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}